---
updatedAt: 2026-06-01T17:30:50.000Z
agentTools:
  projectIndex: https://apidocs.acculynx.com/llms.txt
---

# Get Work Types of a Company

Use this endpoint to get all the Work Types for a company. StartIndex starts at 0. Default PageSize is 100. Pagination parameters are optional. Only active work type values are returned.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.2614.0",
    "title": "AccuLynx API V2",
    "description": "If you are experiencing issues integrating with this API, please work with your web developer to review your programming before reaching out to us with an issue as we do not provide web development consulting services.\n\nAPI keys are for our customers only. If you are a business that is looking to integrate with AccuLynx, either on behalf of our customers or on your own, please [click here](https://docs.google.com/forms/d/e/1FAIpQLSeTvS614N9crtmFR4PVjgetlTKEhhjVGCFaodP8QLdFG_Qb8Q/viewform) to request access. Failure to do so can result in suspension of the AccuLynx account.\n\nThe AccuLynx API provides customers programmatic access to their data within AccuLynx.\n\nThe base url for these endpoints: is <b>https://api.acculynx.com/api/v2</b>\n\nUsing SwaggerHub, you have the ability to test against a virtual server or you can test against the API itself. The virtual server is a mock server that allows you to test your calls without affecting your production data. Testing against the virtual server will always respond with a fixed response regardless of your inputs. It is provided to give you a production model of the information returned.\n\nTesting against the API requires an API Key and will affect your real production data. Get your API key from your [AccuLynx API page](https://my.acculynx.com/apikeys). From the Servers list box below, select the api.acculynx.com site. When you click on green Authorize button next to the Servers list box, you will be prompted for a Bearer token. Enter your API Key and click Authorize again.\n\nTo make it easier to connect AccuLynx to other applications you use, we have made our Zapier integration publicly available. Instead of contacting us to help you enable the use of Zapier to integrate additional applications with AccuLynx, you can now get started by going to the Zapier website ([https://zapier.com](https://zapier.com)) and searching for the AccuLynx application. Zaps are automated tasks that you run over and over again between AccuLynx and other online applications. We have an action that allows you to pair with a trigger to create leads in AccuLynx and a trigger as well as other actions and triggers coming in the near future! To get started search for AccuLynx on the Zapier website!\n\nIf you don’t already have a Zapier account, create one or log into your [https://zapier.com/account](https://zapier.com/account).\n\nAccuLynx Action ZAP basic documentation: [https://support.acculynx.com/hc/en-us/articles/360034839751-Creating-a-Zap-with-Zapier](https://support.acculynx.com/hc/en-us/articles/360034839751-Creating-a-Zap-with-Zapier)",
    "termsOfService": "https://my.acculynx.com/signin/TermsView",
    "contact": {
      "email": "api@acculynx.com",
      "url": "https://api.acculynx.com/"
    },
    "license": {
      "name": "Proprietary",
      "url": "https://my.acculynx.com/signin/TermsView"
    }
  },
  "servers": [
    {
      "description": "AccuLynx Production Base Url",
      "url": "https://api.acculynx.com/api/v2"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "company",
      "description": "Manage company-level configuration, including job file settings, lead sources, workflow milestones, account types, and payment methods."
    }
  ],
  "paths": {
    "/company-settings/job-file-settings/work-types": {
      "get": {
        "summary": "Get Work Types of a Company",
        "description": "Use this endpoint to get all the Work Types for a company. StartIndex starts at 0. Default PageSize is 100. Pagination parameters are optional. Only active work type values are returned.\n",
        "operationId": "getCompanySettingsJobSettingsWorkTypes",
        "parameters": [
          {
            "$ref": "#/components/parameters/pageSizeQuery"
          },
          {
            "$ref": "#/components/parameters/recordStartIndexQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK\n",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/workTypeCollection"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "416": {
            "$ref": "#/components/responses/416RangeNotSatisfiable"
          }
        },
        "tags": [
          "company"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "parameters": {
      "pageSizeQuery": {
        "name": "pageSize",
        "in": "query",
        "description": "How many items to be returned at a time.",
        "required": false,
        "schema": {
          "type": "integer"
        }
      },
      "recordStartIndexQuery": {
        "name": "recordStartIndex",
        "in": "query",
        "description": "The zero-based index of the first record to return.",
        "required": false,
        "schema": {
          "type": "integer",
          "default": 0
        }
      }
    },
    "schemas": {
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The URI of an explanation of the error",
            "example": "https://tools.ietf.org/html/rfc7235#section-3.1"
          },
          "title": {
            "type": "string",
            "description": "Error description",
            "example": "This error happened."
          },
          "status": {
            "type": "number",
            "description": "HTTP status code",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Any details available for this error",
            "example": "More info about this error."
          },
          "traceId": {
            "type": "string",
            "description": "An identifier that may be useful to AccuLynx support",
            "example": "|40f2a8f1-4db865dd47a69226."
          }
        },
        "required": [
          "type",
          "title",
          "status"
        ]
      },
      "baseCollection": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "The total number of items matching the current query."
          },
          "pageSize": {
            "type": "integer",
            "description": "The requested or default page size."
          },
          "pageStartIndex": {
            "type": "integer",
            "description": "The requested or default index of the first element to return."
          }
        }
      },
      "workTypeLink": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "The Work Type unique identifier.",
            "example": 2
          },
          "_link": {
            "type": "string",
            "description": "The URI of the Work Type.",
            "example": "https://api.acculynx.com/api/v2/company-settings/job-file-settings/work-types/2"
          }
        }
      },
      "workType": {
        "allOf": [
          {
            "$ref": "#/components/schemas/workTypeLink"
          },
          {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "description": "The name of the Work Type.",
                "example": "Insurance"
              },
              "systemDefault": {
                "type": "boolean",
                "description": "Shows if the work type is a System Default item."
              }
            }
          }
        ]
      },
      "workTypeCollection": {
        "allOf": [
          {
            "$ref": "#/components/schemas/baseCollection"
          },
          {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/workType"
                }
              }
            }
          }
        ]
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "The API key provided is missing, invalid, or has been deactivated. Verify your API key and try again.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "400BadRequest": {
        "description": "The request was malformed or contained invalid field values. Check the error response body for details.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "416RangeNotSatisfiable": {
        "description": "Range Not Satisfiable.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "RangeNotSatisfiable": {
                "summary": "Range Not Satisfiable",
                "value": {
                  "message": "The range of data requested from the resource is invalid."
                }
              },
              "PaginationRangeNotSatisfiable": {
                "summary": "Pagination Range Not Satisfiable",
                "value": {
                  "message": "The requested pagination range falls outside the available data. Check the `count` field from a prior response and adjust your pagination parameters."
                }
              }
            }
          }
        }
      }
    }
  }
}
```